Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Is this correct?

Discussion in 'Pro/Adv Discussion' started by montyples, May 28, 2016.

  1. montyples

    Joined:
    May 28, 2016
    Messages:
    5
    Likes Received:
    0
    Should the controller be 1.8.80 aswell?


    Sent from my iPhone using PhantomPilots mobile app[​IMG]
     
  2. rockydog

    Joined:
    May 25, 2015
    Messages:
    882
    Likes Received:
    250
    Location:
    London UK
    No...you have the latest versions of everything.
     
  3. montyples

    Joined:
    May 28, 2016
    Messages:
    5
    Likes Received:
    0
    Perfect cheers mate


    Sent from my iPhone using PhantomPilots mobile app